%define major 0
%define famajor 1
%define libname %mklibname augeas %{major}
%define libfa %mklibname fa %{famajor}
%define develname %mklibname augeas -d

Name:           augeas
Version:        1.1.0
Release:        %mkrel 3
Summary:        A library for changing configuration files
Group:          Development/C
License:        LGPv2.1+
URL:            http://augeas.net/
Source0:        http://download.augeas.net/%{name}-%{version}.tar.gz
Source1:	http://download.augeas.net/%{name}-%{version}.tar.gz.sig
Patch0:		augeas-1.1.0-CVE-2013-6412.diff
BuildRequires:  readline-devel pkgconfig(libxml-2.0)
BuildRequires:  libxml2-devel selinux-devel

%description
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{libfa} = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for
developing applications that use %{name}.

%package -n 	%{libname}
Summary:        Libraries for %{name}
Requires:       %{name}-lenses = %{version}-%{release}
Group:          Development/C

%description -n %{libname}
The libraries for %{name} .

%package -n	 %{libfa}
Summary: 	Library for %{name}
Group: 		Development/C
Conflicts: 	%{libname} < 0.9.0-2

%description -n %{libfa}
The library for %{name}.

%package 	lenses
Summary:        Lenses for %{name}
Group:          Development/C

%description 	lenses
The lenses for %{name}.

%prep
%setup -q
%patch0 -p1 -b .CVE-2013-6412

%build
%configure2_5x --disable-static
%make 


# %check
# %make check

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/augtool
%{_bindir}/augparse
%{_bindir}/fadot
%{_mandir}/man1/*
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim
%{_datadir}/vim/vimfiles/syntax/augeas.vim

%files lenses
%doc AUTHORS NEWS
%{_datadir}/augeas

%files -n %{libname}
%{_libdir}/libaugeas.so.%{major}*

%files -n %{libfa}
%{_libdir}/libfa.so.%{famajor}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/augeas.pc


%changelog
* Tue Jan 21 2014 oden <oden> 1.1.0-3.mga4
+ Revision: 567342
- P0: security fix for CVE-2013-6412 (upstream)

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 531966
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 joequant <joequant> 1.1.0-1.mga4
+ Revision: 466349
- upgrade to 1.1.0

* Thu Jan 17 2013 pterjan <pterjan> 0.10.0-7.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 0.10.0-7.mga3
+ Revision: 346599
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.10.0-6.mga3
+ Revision: 336504
- fix build with new automake 1.13

* Thu Nov 15 2012 fwang <fwang> 0.10.0-5.mga3
+ Revision: 318100
- revert selinux exception, we need to fix it in another way

* Fri Aug 31 2012 spuhler <spuhler> 0.10.0-4.mga3
+ Revision: 285995
- Added exception

* Tue Aug 28 2012 spuhler <spuhler> 0.10.0-3.mga3
+ Revision: 284648
- drop .la files
- rebuild against new gnulibs and with no-gets patch

* Thu Aug 09 2012 guillomovitch <guillomovitch> 0.10.0-1.mga3
+ Revision: 280148
- new version
- drop .la files

* Thu Aug 18 2011 misc <misc> 0.9.0-1.mga2
+ Revision: 134277
- new version

* Sat Apr 16 2011 misc <misc> 0.8.0-1.mga1
+ Revision: 86165
- ruby is no longer needed to run tests
- remove explicit requires on pkgconfig, as this should be
  done by rpm auto requires
- update to latest stable

* Sat Jan 08 2011 kharec <kharec> 0.7.4-1.mga1
+ Revision: 1253
- imported package augeas


* Sat Nov 20 2010 Bruno Cornec <bcornec@mandriva.org> 0.7.4-1mdv2011.0
+ Revision: 599201
- Updating augeas to 0.7.4 upstream

* Sat Aug 14 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.7.3-2mdv2011.0
+ Revision: 569816
- really add signature

* Sat Aug 14 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 569808
- new version
- add signature

* Mon Jul 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 551229
- new version 0.7.2

* Fri Apr 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 538138
- update to 0.7.1

* Thu Jan 28 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-2mdv2010.1
+ Revision: 497703
- Update to new version 0.7.0
- Remove patch integrated upstream

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.0-2mdv2010.1
+ Revision: 484191
- Fix vim syntax file (bug #56363)

* Thu Dec 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 476131
- Update to new version 0.6.0

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.3-1mdv2010.0
+ Revision: 443125
- update to new version 0.5.3

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-3mdv2010.0
+ Revision: 397167
- fix lib package dependencies

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-2mdv2010.0
+ Revision: 397142
- split lenses into their own subpackage, and force a dependency from the library package

* Tue Jul 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 395898
- update to new version 0.5.2

  + Bruno Cornec <bcornec@mandriva.org>
    - Adds a ruby BuildRequire dep in order to have tests passing correctly

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - enable tests

* Thu Jul 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-3mdv2010.0
+ Revision: 393710
- really fix library package name

* Wed Jul 08 2009 Pascal Terjan <pterjan@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 393464
- Fix library name

* Tue Jul 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 393237
- import augeas


* Fri Jun  5 2009 David Lutterkort <lutter@redhat.com> - 0.5.1-1
- Install fadot

* Fri Mar 27 2009 David Lutterkort <lutter@redhat.com> - 0.5.0-2
- fadot isn't being installed just yet

* Tue Mar 24 2009 David Lutterkort <lutter@redhat.com> - 0.5.0-1
- New program /usr/bin/fadot

* Mon Mar  9 2009 David Lutterkort <lutter@redhat.com> - 0.4.2-1
- New version

* Fri Feb 27 2009 David Lutterkort <lutter@redhat.com> - 0.4.1-1
- New version

* Fri Feb  6 2009 David Lutterkort <lutter@redhat.com> - 0.4.0-1
- New version

* Mon Jan 26 2009 David Lutterkort <lutter@redhat.com> - 0.3.6-1
- New version

* Tue Dec 23 2008 David Lutterkort <lutter@redhat.com> - 0.3.5-1
- New version

* Mon Feb 25 2008 David Lutterkort <dlutter@redhat.com> - 0.0.4-1
- Initial specfile
